%{?!gittag: %{error: You did not specify a version}}
%{?!arch: %{error: You did not specify an architecture}}

%global project_name mock-turtle

Summary: 	Mock Turtle
Name: 		mockturtle
Version: 	%{gittag}
License: 	GPL-3.0-or-later
Release: 	1%{?dist}
URL: 		https://ohwr.org/project/%{name}

BuildArch: %{arch}
BuildRequires: make, gcc
# Binary libraries are necessary to develop, just headers is not enough
# Requires: mockturtle-lib, mockturtle-lib-static

Requires:	%{name}-lib 
Requires:	%{name}-tools 
Requires:	dkms-%{name}

Source0: https://ohwr.org/project/%{project_name}/-/archive/%{gittag}/%{project_name}-%{gittag}.tar.bz2

%description
This package is a meta package that install the Mock Turtle distribution

%package devel
Summary: 	Libraries and header files for mock turtle development
Group: 		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}
#Requires: 	fixme
#BuildRequires: fixme
%description devel
The mockturtle-devel package contains the header files and mockturtle library
necessary for developing programs using mockturtle.

%package lib
Summary: 	mock turtle runtime library
#Requires:	fixme
#BuildRequires: fixme
%description lib
The mockturtle-libs package contains

%package libstatic
Summary: 	mock turtle static library
#Requires:	fixme
#BuildRequires: fixme
%description libstatic
The mockturtle-libs package contains

%package tools
Summary: mock turtle tools
#Requires: 

%description tools
This package contains the Mock Turtle tools

%package -n dkms-%{name}
Summary:	mockturtle kernel module(s)
Requires:	dkms

%description -n dkms-%{name}
The dkms-mockturtle kernel module.

%prep
%autosetup -n %{project_name}-%{gittag}

%build
make -C software/

%install
make -C software PREFIX=%{buildroot}/ install

%files
%license LICENSES/GPL-3.0-or-later.txt

%files tools
/usr/local/bin/mockturtle-count
/usr/local/bin/lsmockturtle
/usr/local/bin/mockturtle-loader
/usr/local/bin/mockturtle-messages
/usr/local/bin/mockturtle-cpu-restart
/usr/local/bin/mockturtle-smem
/usr/local/bin/mockturtle-ping
/usr/local/bin/mockturtle-variable
/usr/local/bin/mockturtle-buffer
/usr/local/bin/mockturtle-gdbserver

#%files -n dkms-%{name}

%files lib
%license LICENSES/GPL-3.0-or-later.txt
/usr/local/lib/libmockturtle.so.

%files libstatic
%license LICENSES/GPL-3.0-or-later.txt
/usr/local/lib/libmockturtle.a

%files devel
%license LICENSES/GPL-3.0-or-later.txt
/usr/local/lib/libmockturtle.so
/usr/local/include/mockturtle/libmockturtle.h
/usr/local/include/mockturtle/mockturtle.h
/usr/local/include/mockturtle/hw/mockturtle_addresses.h
/usr/local/include/mockturtle/hw/mockturtle_cpu_csr.h
/usr/local/include/mockturtle/hw/mockturtle_cpu_lr.h
/usr/local/include/mockturtle/hw/mockturtle_endpoint.h
/usr/local/include/mockturtle/hw/mockturtle_queue.h

%changelog
* Mon May 06 2019 Federico Vaga <federico.vaga at cern.ch> - 4.0.0
- First public release
